Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.ejbql
Class SimpleNode

    java.lang.Object
      org.jboss.ejb.plugins.cmp.ejbql.SimpleNode

Direct Known Subclasses:
  AggregateFunction, ASTAbs, ASTAbstractSchema, ASTAnd, ASTApproximateNumericLiteral, ASTArithmeticParenthetical, ASTBetween, ASTBooleanLiteral, ASTCollectionMemberDeclaration, ASTComparison, ASTConcat, ASTConditionalParenthetical, ASTEJBQL, ASTExactNumericLiteral, ASTFrom, ASTIdentifier, ASTIn, ASTIsEmpty, ASTLCase, ASTLength, ASTLike, ASTLimitOffset, ASTLocate, ASTMemberOf, ASTMod, ASTMultDiv, ASTNegation, ASTNot, ASTNullComparison, ASTOr, ASTOrderBy, ASTOrderByPath, ASTParameter, ASTPath, ASTPlusMinus, ASTRangeVariableDeclaration, ASTSelect, ASTSqrt, ASTStringLiteral, ASTStringParenthetical, ASTSubstring, ASTUCase, ASTWhere, ASTWhereConditionalTerm

public class SimpleNode
extends Object

Parent class of all abstract syntax tree nodes.

Version:
  $Revision: 1.4 $
Author:
  Dain Sundstrom

Field Summary
`protected Node[]` | `children`
`protected int` | `id`
`protected Node` | `parent`

Constructor Summary
`SimpleNode(int i)`

Method Summary
`void` | `dump(String prefix)`
`Object` | `jjtAccept(JBossQLParserVisitor visitor, Object data)` Accept the visitor.
`void` | `jjtAddChild(Node n, int i)`
`void` | `jjtClose()`
`Node` | `jjtGetChild(int i)`
`int` | `jjtGetNumChildren()`
`Node` | `jjtGetParent()`
`void` | `jjtOpen()`
`void` | `jjtSetParent(Node n)`
`String` | `toString()`
`String` | `toString(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected Node parent

### children

    protected Node[] children

### id

    protected final int id

Constructor Detail

### SimpleNode

    public SimpleNode(int i)

Method Detail

### jjtOpen

    public void jjtOpen()

### jjtClose

    public void jjtClose()

### jjtSetParent

    public void jjtSetParent(Node n)

### jjtGetParent

    public Node jjtGetParent()

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

### jjtGetChild

    public Node jjtGetChild(int i)

### jjtGetNumChildren

    public int jjtGetNumChildren()

### jjtAccept

    public Object jjtAccept(JBossQLParserVisitor visitor,
                            Object data)

  Accept the visitor.

### toString

    public String toString()

### toString

    public String toString(String prefix)

### dump

    public void dump(String prefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.